summaryrefslogtreecommitdiffstats
path: root/recipes/busybox/files/50telnet
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/busybox/files/50telnet')
-rw-r--r--recipes/busybox/files/50telnet16
1 files changed, 16 insertions, 0 deletions
diff --git a/recipes/busybox/files/50telnet b/recipes/busybox/files/50telnet
new file mode 100644
index 0000000000..3fb4a90494
--- /dev/null
+++ b/recipes/busybox/files/50telnet
@@ -0,0 +1,16 @@
+#!/bin/sh
+# Copyright (C) 2006 OpenWrt.org
+# Copyright (C) 2008 Koen Kooi
+
+# This starts telnetd if the password for 'root' is empty. This is needed for devices without a screen or serial console (wifi router, NAS, etc).
+
+start() {
+ if awk -F: '/^root:/ && ($2 != "") && ($2 !~ /\!/) {exit 1}' /etc/passwd 2>/dev/null
+ then
+ telnetd -l /bin/login.failsafe
+ fi
+}
+
+stop() {
+ killall telnetd
+}